Bug 64771 - [RELNOTE] NetBeans does not start with enabled SELinux
[RELNOTE] NetBeans does not start with enabled SELinux
Status: RESOLVED WONTFIX
Product: platform
Classification: Unclassified
Component: Documentation
5.x
All Linux
: P4 (vote)
: TBD
Assigned To: Talley Mulligan
issues@platform
CLEAN
: RELNOTE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-20 19:39 UTC by Martin Schovanek
Modified: 2009-12-21 04:58 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Schovanek 2005-09-20 19:39:44 UTC
[#20050911200, jdk1.4.2_09, RH Fedora Core 4]

NetBeans does not start with enabled SELinux (Security-enhanced Linux) on 'RH
Fedora Core 4' platform. Nb fails on startup with UnsatisfiedLinkError in libawt.so.

In fact it is JDK1.4.2 problem on 'RH Fedora Core 4' platform, not a Nb issue.
However, we should relese note it since the jdk1.4.2_09 is supported platform
for Nb 5.0 and some users can encounter this problem. 

Workaround:
    a) disable SELinux temporarily by executing (requires root privilegs):
       # setenforce 0
    b) Add 'selinux=0'to your kernel command line to turn SELinux off at boot.
Comment 1 Petr Nejedly 2005-09-21 07:45:15 UTC
Has nothing to do with execution (of user apps).
Comment 2 John Jullion-ceccarelli 2005-10-10 17:14:17 UTC
we'll note it in the release notes
Comment 3 jairo19 2006-01-17 16:28:24 UTC
I'm not sure what the exact issue is but this workaround may be impossible to
apply in certain environments. I would suggest to find out the problems
JDB1.4/NB is having, post them here in more detail and contact: Daniel J Walsh
(dwalsh at his site redhat.com). He was handling the security policies (at least
for Fedora/RedHat).

Suggesting users to lower their security is not a good idea.
Comment 4 Quality Engineering 2009-12-21 04:58:44 UTC
This bug was reported against NetBeans IDE 6.0 or an older release, or against a non-maintained module. NetBeans team does not have enough resources to get to this issue, therefore we are closing the issue as a WONTFIX. If you are interested in providing a patch for this bug, please see our NetFIX guidelines for how to proceed. 

We apologize for any inconvenience.


Thank you.
The NetBeans Team


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo